### Constructor

# Gio Settings new_with_path

since: 2.26

#### Declaration [src]

    GSettings*
    g_settings_new_with_path (
      const gchar* schema_id,
      const gchar* path
    )

#### Description [src]

Creates a new `GSettings` object with the relocatable schema specified by `schema_id` and a given path.

You only need to do this if you want to directly create a settings object with a schema that doesn’t have a specified path of its own. That’s quite rare.

It is a programmer error to call this function for a schema that has an explicitly specified path.

It is a programmer error if `path` is not a valid path. A valid path begins and ends with `/` and does not contain two consecutive `/` characters.

Available since: 2.26

#### Parameters

`schema_id`

  Type: `const gchar*`

  The ID of the schema.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`path`

  Type: `const gchar*`

  The path to use.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GSettings`

A new `GSettings` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.